package com.cyksj.service.claude;


import com.cyksj.model.entity.OAuthClient;
import com.cyksj.model.entity.OAuthToken;

public interface OAuthClaudeCodeService {
    OAuthClient validateClient(String clientId, String clientSecret);

    String generateAccessToken(Long userId, String clientId) throws Exception;

    OAuthToken validateToken(String code, String tokenValue);

}